Page MenuHomePhabricator

Puppetize PAWS k8s cluster
Closed, ResolvedPublic

Description

PAWS k8s cluster was built manually with the help of a few nice scripts. I propose we Puppetize this process as much as possible.

Event Timeline

Chicocvenancio triaged this task as Medium priority.Mar 5 2018, 1:27 PM
Chicocvenancio created this task.
zhuyifei1999 added a subscriber: zhuyifei1999.

Change 596478 had a related patch set uploaded (by Bstorm; owner: Bstorm):
[operations/puppet@production] paws: Introduce the role skeleton for the paws servers

https://gerrit.wikimedia.org/r/596478

Bstorm added a subscriber: Bstorm.May 14 2020, 4:25 PM

Change 596478 merged by Bstorm:
[operations/puppet@production] paws: Introduce the role skeleton for the paws servers

https://gerrit.wikimedia.org/r/596478

Bstorm added a comment.EditedMay 19 2020, 5:39 PM

That patch assumes an external etcd, I realized just now, which is not how paws has been built so far. I just wanted to call it out in case we decide to converge the control plane instead, which saves number of VMs. With redundant control plane servers, it's not a huge problem in any case (and we should note that PAWS currently has a single control plane and etcd node, tools-paws-master-01).

Change 597591 had a related patch set uploaded (by Bstorm; owner: Bstorm):
[operations/puppet@production] paws-kubeadm: Add option for stacked control plane

https://gerrit.wikimedia.org/r/597591

Change 597602 had a related patch set uploaded (by Bstorm; owner: Bstorm):
[operations/puppet@production] paws: Add a profile to provide some special config for paws

https://gerrit.wikimedia.org/r/597602

Change 597591 merged by Bstorm:
[operations/puppet@production] paws-kubeadm: Add option for stacked control plane

https://gerrit.wikimedia.org/r/597591

Change 597818 had a related patch set uploaded (by Bstorm; owner: Bstorm):
[operations/puppet@production] kubeadm: Our template should match package versions for bootstraps

https://gerrit.wikimedia.org/r/597818

Change 597824 had a related patch set uploaded (by Bstorm; owner: Bstorm):
[operations/puppet@production] paws-k8s: Adding a checkout of the paws repo

https://gerrit.wikimedia.org/r/597824

Change 597602 abandoned by Bstorm:
paws: Add a profile to provide some special config for paws

Reason:
Went with a different approach

https://gerrit.wikimedia.org/r/597602

Change 597818 merged by Bstorm:
[operations/puppet@production] kubeadm: Our template should match package versions for bootstraps

https://gerrit.wikimedia.org/r/597818

Change 597824 merged by Bstorm:
[operations/puppet@production] paws-k8s: Adding a checkout of the paws repo

https://gerrit.wikimedia.org/r/597824

At this point, I'm just keeping this open until we've moved over the cluster. As long as we actually use what we've built so far, this is effectively done.

Even moreso now that the new cluster is a working PoC. Still keeping this open until cutover.

bd808 reassigned this task from Chicocvenancio to Bstorm.Jul 17 2020, 10:00 PM
bd808 moved this task from Inbox to Doing on the cloud-services-team (Kanban) board.
Bstorm closed this task as Resolved.Aug 7 2020, 6:23 PM

Cutover is done.